Replace a product
PUT
/products/{id}/
const url = 'https://api.semantico.ai/api/v1/products/example/';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"sku":"example","barcode":"example","mpn":"example","asin":"example","brand":"example","category":"example","name":"example","description":"example","url":"https://example.com","html_description":"example","external_id":"example","open_attributes":{},"crawl_configuration":{"reference_string":"example","source_url":"https://example.com"},"images":[{"source_url":"https://example.com","order":1}],"metadata":{},"product_lists":["example"],"tags_to_update":[1],"variants":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.semantico.ai/api/v1/products/example/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "sku": "example", "barcode": "example", "mpn": "example", "asin": "example", "brand": "example", "category": "example", "name": "example", "description": "example", "url": "https://example.com", "html_description": "example", "external_id": "example", "open_attributes": {}, "crawl_configuration": { "reference_string": "example", "source_url": "https://example.com" }, "images": [ { "source_url": "https://example.com", "order": 1 } ], "metadata": {}, "product_lists": [ "example" ], "tags_to_update": [ 1 ], "variants": [] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Product identifier.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
None of these fields are strictly required, but uniqueness rules apply to sku, barcode, mpn, and asin.
object
sku
string
barcode
EAN / barcode.
string
mpn
string
asin
string
brand
string
category
Human-readable category path, e.g. Root > Subcategory.
string
name
string
description
string
url
string format: uri
html_description
string
external_id
string
open_attributes
object
key
additional properties
any
crawl_configuration
object
reference_string
string
source_url
string format: uri
images
Array<object>
object
source_url
string format: uri
order
integer
metadata
object
key
additional properties
any
product_lists
Product list code values.
Array<string>
tags_to_update
Tag IDs.
Array<integer>
variants
Array<object> recursive
Examplegenerated
{ "sku": "example", "barcode": "example", "mpn": "example", "asin": "example", "brand": "example", "category": "example", "name": "example", "description": "example", "url": "https://example.com", "html_description": "example", "external_id": "example", "open_attributes": {}, "crawl_configuration": { "reference_string": "example", "source_url": "https://example.com" }, "images": [ { "source_url": "https://example.com", "order": 1 } ], "metadata": {}, "product_lists": [ "example" ], "tags_to_update": [ 1 ], "variants": []}Responses
Section titled “Responses”Updated
Media typeapplication/json
object
sku
string
barcode
EAN / barcode.
string
mpn
string
asin
string
brand
string
category
Human-readable category path, e.g. Root > Subcategory.
string
name
string
description
string
url
string format: uri
html_description
string
external_id
string
open_attributes
object
key
additional properties
any
crawl_configuration
object
reference_string
string
source_url
string format: uri
images
Array<object>
object
source_url
string format: uri
order
integer
metadata
object
key
additional properties
any
product_lists
Product list code values.
Array<string>
tags_to_update
Tag IDs.
Array<integer>
variants
Array<object>
None of these fields are strictly required, but uniqueness rules apply to sku, barcode, mpn, and asin.
object
sku
string
barcode
EAN / barcode.
string
mpn
string
asin
string
brand
string
category
Human-readable category path, e.g. Root > Subcategory.
string
name
string
description
string
url
string format: uri
html_description
string
external_id
string
open_attributes
object
key
additional properties
any
crawl_configuration
object
reference_string
string
source_url
string format: uri
images
Array<object>
object
source_url
string format: uri
order
integer
metadata
object
key
additional properties
any
product_lists
Product list code values.
Array<string>
tags_to_update
Tag IDs.
Array<integer>
variants
Array<object> recursive
id
integer
is_product_model
boolean
created_at
string format: date-time
sections
Custom attributes for the product.
Array<object>
object
key
additional properties
any
Examplegenerated
{ "sku": "example", "barcode": "example", "mpn": "example", "asin": "example", "brand": "example", "category": "example", "name": "example", "description": "example", "url": "https://example.com", "html_description": "example", "external_id": "example", "open_attributes": {}, "crawl_configuration": { "reference_string": "example", "source_url": "https://example.com" }, "images": [ { "source_url": "https://example.com", "order": 1 } ], "metadata": {}, "product_lists": [ "example" ], "tags_to_update": [ 1 ], "variants": [], "id": 1, "is_product_model": true, "created_at": "2026-04-15T12:00:00Z", "sections": [ {} ]}Field-level validation error.
Media typeapplication/json
object
key
additional properties
Array<string>
Example
{ "barcode": [ "A product with this barcode already exists." ]}Resource does not exist.
Media typeapplication/json
object
detail
string
Examplegenerated
{ "detail": "example"}